ApiConfigEnforcement (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiConfigEnforcement

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiConfigEnforcement

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiConfigEnforcement
      extends Object

  ApiConfigEnforcement

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiConfigEnforcement()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiConfigEnforcement` | `defaultValue(String defaultValue)`
    `boolean` | `equals(Object o)`
    `String` | `getDefaultValue()` The new default value that these configurations should use instead of what is supplied by in Cloudera Manager by default.
    `String` | `getLabel()` A label can be used to retrieve a set of configurations where this enforcement is applied.
    `String` | `getSeparator()` The new default value could be applied to configurations that require different separators.
    `String` | `getUnit()` This can be MILLISECONDS, SECONDS, MINUTES, HOURS, BYTES, KILOBYTES, MEGABYTES, GIGABYTES, PERCENT, PAGES, TIMES, LINES.
    `int` | `hashCode()`
    `ApiConfigEnforcement` | `label(String label)`
    `ApiConfigEnforcement` | `separator(String separator)`
    `void` | `setDefaultValue(String defaultValue)`
    `void` | `setLabel(String label)`
    `void` | `setSeparator(String separator)`
    `void` | `setUnit(String unit)`
    `String` | `toString()`
    `ApiConfigEnforcement` | `unit(String unit)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiConfigEnforcement

          public ApiConfigEnforcement()

  - ### Method Detail

    - #### label

          public ApiConfigEnforcement label(String label)

    - #### getLabel

          public String getLabel()

      A label can be used to retrieve a set of configurations where this enforcement is applied. This is currently restricted to only those enums defined in ParamSpecLabel.java. All these configurations having the same label must be uniform. In other words, all these configurations must accept the same configuration input. There are two variations. Different configurations may have 1. different units for numeric configurations 2. different separators for list style configurations.
      Returns:
        label

    - #### setLabel

          public void setLabel(String label)

    - #### defaultValue

          public ApiConfigEnforcement defaultValue(String defaultValue)

    - #### getDefaultValue

          public String getDefaultValue()

      The new default value that these configurations should use instead of what is supplied by in Cloudera Manager by default.
      Returns:
        defaultValue

    - #### setDefaultValue

          public void setDefaultValue(String defaultValue)

    - #### unit

          public ApiConfigEnforcement unit(String unit)

    - #### getUnit

          public String getUnit()

      This can be MILLISECONDS, SECONDS, MINUTES, HOURS, BYTES, KILOBYTES, MEGABYTES, GIGABYTES, PERCENT, PAGES, TIMES, LINES. Optional.
      Returns:
        unit

    - #### setUnit

          public void setUnit(String unit)

    - #### separator

          public ApiConfigEnforcement separator(String separator)

    - #### getSeparator

          public String getSeparator()

      The new default value could be applied to configurations that require different separators. We need to know the separator the supplied default value has in order to generate the correct default value correctly. Optional.
      Returns:
        separator

    - #### setSeparator

          public void setSeparator(String separator)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.